import { StructureV1, StructureV2, StructureApi } from '../types/interfaces';
import { NormalizedStructureV1Slide } from '../types/types';
export declare function getSlideType(structure: StructureV2.iStructureJSON, slideId: string): StructureApi.SlideType;
export declare function getSlideChapter(structure: StructureV2.iStructureJSON, slideId: string): string | undefined;
export declare function getV1SlideChapter(structure: StructureV2.iStructureJSON, slideId: string): string | (string | {
    slide: string;
    hidden: boolean;
})[] | undefined;
export declare function getSubslidesNestedData(structure: StructureV2.iStructureJSON, parentSlideId: string, systemSettings?: StructureApi.SystemSettingsSlideFragment): {
    custom: {};
    id: string;
    name: string;
    chapter: {
        id: string | undefined;
    };
    type: StructureApi.SlideType;
    thumbnail: string | undefined;
    template: string;
}[];
export declare function getRawSlideSubslides(structure: StructureV2.iStructureJSON, slideId: string): (string | StructureV2.iSlideItem)[];
export declare function getParentSlide(structure: StructureV2.iStructureJSON, slideId: string): string | undefined;
export declare function getChapterType(structure: StructureV2.iStructureJSON, chapterId: string): StructureApi.ChapterType;
export declare function restoreSlidesStructure(nestedSlidesData: StructureApi.NestedSlideData[], structureScheme: StructureV1.iStructureJSON): string[];
export declare function restoreChaptersStructure(nestedSlidesData: StructureApi.NestedSlideData[], structureScheme: StructureV1.iStructureJSON): StructureApi.ChapterNestedData[];
export declare function restoreStoryboard(nestedChapters: StructureApi.ChapterNestedData[], structureScheme: StructureV1.iStructureJSON): void;
export declare function getOrderedSlidesId(allChaptersId: string[], structureJson: StructureV2.iStructureJSON): string[];
export declare function convertStoryboardStructureV1ToV2(storyboard: string[]): (string | StructureV2.iStoryboardItem)[];
export declare function migrateSubslidesToChapters(normalizedSlidesWithSubslides: [string, NormalizedStructureV1Slide][], chapters: Record<string, StructureV2.iChapter>, structureJson: StructureV2.iStructureJSON): Record<string, StructureV2.iChapter> | undefined;
export declare function removeSubslidesFromNormalizedSlides(slides: Record<string, NormalizedStructureV1Slide>): {
    [k: string]: {
        name: string;
        template: string;
    };
};
