import { StructureV1, StructureV2, StructureApi } from '../types/interfaces';
import { EntityType, UnnormalizedEntity, NormalizedChapters, NormalizedEntity, NormalizedStructureV1Slide } from '../types/types';
export declare function normalizeEntity(entity: UnnormalizedEntity, entityType: EntityType): Partial<NormalizedEntity>;
export declare function normalizeSlide(entity: UnnormalizedEntity): StructureV2.iChapterContentItem;
export declare function normalizeChapter(entity: UnnormalizedEntity): StructureV2.iStoryboardItem;
export declare function getAllContent(structure: StructureV2.iStructureJSON): StructureV2.iChapterContentItem[];
export declare function getSlidesWithSubslides(structure: StructureV2.iStructureJSON): StructureV2.iChapterContentItem[];
export declare function getNormalizedChapters(structure: StructureV2.iStructureJSON): NormalizedChapters;
export declare function getHiddenSlides(structure: StructureV2.iStructureJSON): StructureV2.iChapterContentItem[];
export declare function listIncludesSlide(list: StructureV2.iChapterContentItem[], slideId: string): boolean;
export declare function getDefinitelyArchivedSlides(structure: StructureV2.iStructureJSON): StructureV2.iChapterContentItem[];
export declare function getFiltersList(types?: StructureApi.SlideTypes | StructureApi.ChapterTypes): string[] | undefined;
export declare function isSubslide(nestedSlidesData: StructureApi.NestedSlideData[], slideId: string): boolean;
export declare function nestedSlideHasNoSubslides(nestedSlide: StructureApi.NestedSlideData): boolean;
export declare function normalizeEntityForStructureV1(entity: StructureApi.NestedSlideData | StructureApi.SlideData): string;
export declare function getNormalizedSlideEntity(entity: string): string | {
    slide: string;
    hidden: boolean;
};
export declare function getNormalizedChapterEntity(entity: string): string | {
    chapter: string;
    hidden: boolean;
};
export declare function getChapterSlidesFromNested(nestedSlidesWithoutSubslides: StructureApi.NestedSlideData[], chapterData: StructureApi.ChapterNestedData): string[];
export declare function flatChapterContent(chapterContent: (string | StructureV2.iChapterContentItem)[]): (string | StructureV2.iSlideItem)[];
export declare function normalizeStructureV1Subslides(slides: {
    [key: string]: StructureV1.iSlides;
}): Record<string, NormalizedStructureV1Slide>;
export declare function normalizeStructureV1Chapters(structure: StructureV1.iStructureJSON): Record<string, StructureV2.iChapter>;
export declare function getSlideCustomFields(structure: StructureV2.iStructureJSON, slideId: string): {};
export declare function getChapterCustomFields(structure: StructureV2.iStructureJSON | StructureV1.iStructureJSON, chapterId: string): {};
